using Syncfusion.Windows.Forms.Grid;

namespace FormulaEngineDefect
{
    public class SyncDouble : GridFormulaCellModel
    {
        protected SyncDouble(System.Runtime.Serialization.SerializationInfo info,
                             System.Runtime.Serialization.StreamingContext context)
            : base(info, context)
        {
        }

        public SyncDouble(GridModel grid)
            : base(grid)
        {
        }

        public override GridCellRendererBase CreateRenderer(GridControlBase control)
        {
            return new SyncDoubleRenderer(control, this);
        }
    }

    public class SyncDoubleRenderer : GridFormulaCellRenderer
    {
        public SyncDoubleRenderer(GridControlBase grid, SyncDouble cellModel)
            : base(grid, cellModel)
        {
        }
    }

}
